import 'package:get/get.dart';
import '../pages/detail_view.dart';
import '../pages/edit_view.dart';
import '../pages/gasstations_view.dart';
import '../pages/graph_view.dart';
import 'sample_bindings.dart';
import '../pages/home_view.dart';
import '../pages/signin_view.dart';
import '../pages/login_view.dart';

class SampleRouts {
  static final sampleBindings = SampleBindings();
  static List<GetPage<dynamic>> samplePages = [
    GetPage(
      name: LoginPage.namedRoute,
      page: () => const LoginPage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: SigninPage.namedRoute,
      page: () => const SigninPage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: HomePage.namedRoute,
      page: () => const HomePage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: DetailPage.namedRoute,
      page: () => const DetailPage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: EditPage.namedRoute,
      page: () => const EditPage(),
      binding: sampleBindings,
    ),
    GetPage(
      name: GraphPage.namedRoute,
      page: () => const GraphPage(),
      binding: sampleBindings,
    ),
     GetPage(
      name: GasstationsPage.namedRoute,
      page: () => const GasstationsPage(),
      binding: sampleBindings,
    ),
  ];
}
